import RemoteAssessmentClient from "./RemoteAssessmentClient";
import { getPortfolioScenarios } from "@/app/portfolio/[slug]/utils";

export default async function RemoteAssessmentPage(props: {
  params: Promise<{ slug: string }>;
  searchParams: Promise<{
    [key: string]: string | string[] | undefined | number;
  }>;
}) {
  const params = await props.params;
  const portfolioId = params.slug;

  const scenarios = await getPortfolioScenarios(portfolioId);

  return (
    <RemoteAssessmentClient portfolioId={portfolioId} scenarios={scenarios} />
  );
}
